Amazon Linux AMI : nss-util / nss,nss-softokn (ALAS-2016-774)

High Nessus Plugin ID 95894

Synopsis

The remote Amazon Linux AMI host is missing a security update.

Description

CVE-2016-2834 nss: Multiple security flaws (MFSA 2016-61)

Multiple buffer handling flaws were found in the way NSS handled cryptographic data from the network. A remote attacker could use these flaws to crash an application using NSS or, possibly, execute arbitrary code with the permission of the user running the application.

CVE-2016-8635 nss: small-subgroups attack flaw

It was found that Diffie Hellman Client key exchange handling in NSS was vulnerable to small subgroup confinement attack. An attacker could use this flaw to recover private keys by confining the client DH key to small subgroup of the desired group.

CVE-2016-5285 nss: Missing NULL check in PK11_SignWithSymKey / ssl3_ComputeRecordMACConstantTime causes server crash

A NULL pointer dereference flaw was found in the way NSS handled invalid Diffie-Hellman keys. A remote client could use this flaw to crash a TLS/SSL server using NSS.

Solution

Run 'yum update nss-util' to update your system.

Run 'yum update nss' to update your system.

Run 'yum update nss-softokn' to update your system.

See Also

https://alas.aws.amazon.com/ALAS-2016-774.html

Plugin Details

Severity: High

ID: 95894

File Name: ala_ALAS-2016-774.nasl

Version: 3.2

Type: local

Agent: unix

Published: 2016/12/16

Updated: 2018/04/18

Dependencies: 12634

Risk Information

Risk Factor: High

CVSS v2.0

Base Score: 9.3

Vector: CVSS2#AV:N/AC:M/Au:N/C:C/I:C/A:C

CVSS v3.0

Base Score: 8.8

Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H

Vulnerability Information

CPE: p-cpe:/a:amazon:linux:nss, p-cpe:/a:amazon:linux:nss-debuginfo, p-cpe:/a:amazon:linux:nss-devel, p-cpe:/a:amazon:linux:nss-pkcs11-devel, p-cpe:/a:amazon:linux:nss-softokn, p-cpe:/a:amazon:linux:nss-softokn-debuginfo, p-cpe:/a:amazon:linux:nss-softokn-devel, p-cpe:/a:amazon:linux:nss-softokn-freebl, p-cpe:/a:amazon:linux:nss-softokn-freebl-devel, p-cpe:/a:amazon:linux:nss-sysinit, p-cpe:/a:amazon:linux:nss-tools, p-cpe:/a:amazon:linux:nss-util, p-cpe:/a:amazon:linux:nss-util-debuginfo, p-cpe:/a:amazon:linux:nss-util-devel, cpe:/o:amazon:linux

Required KB Items: Host/local_checks_enabled, Host/AmazonLinux/release, Host/AmazonLinux/rpm-list

Patch Publication Date: 2016/12/15

Reference Information

CVE: CVE-2016-2834, CVE-2016-5285, CVE-2016-8635

ALAS: 2016-774